Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository
Class RepositoryI18n

    java.lang.Object
      org.modeshape.repository.RepositoryI18n

    @Immutable
    public final class RepositoryI18n

extends Object

The internationalized string constants for the `org.modeshape.repository*` packages.

Field Summary
`static I18n` | `clusteringConfigurationRequiresClusterName`
`static I18n` | `clusteringServiceName`
`static I18n` | `engineIsNotRunning`
`static I18n` | `errorClosingBinaryStreamForPropertyFromNode`
`static I18n` | `errorCollectingGarbageInSource`
`static I18n` | `errorCreatingInstanceOfClass`
`static I18n` | `errorCreatingInstanceOfClassUsingClassLoaders`
`static I18n` | `errorFindingPropertyNameInPropertyAddedEvent`
`static I18n` | `errorFindingPropertyNameInPropertyChangedEvent`
`static I18n` | `errorFindingPropertyNameInPropertyRemovedEvent`
`static I18n` | `errorFindingSequencersToRunAgainstNode`
`static I18n` | `errorGettingNodeRelativeToNode`
`static I18n` | `errorGettingOptionalPropertyFromNode`
`static I18n` | `errorGettingRequiredPropertyFromNode`
`static I18n` | `errorInRepositoryWhileFindingSequencersToRunAgainstNode`
`static I18n` | `errorInRepositoryWhileSequencingNode`
`static I18n` | `errorProcessingEvents`
`static I18n` | `errorReadingPropertiesFromContainerNode`
`static I18n` | `errorSettingJavaBeanPropertyOnInstanceOfClass`
`static I18n` | `errorsPreventStarting`
`static I18n` | `errorStartingRepositoryService`
`static I18n` | `errorUnregisteringWorkspaceListenerWhileShuttingDownObservationService`
`static I18n` | `errorVerifyingConfiguration`
`static I18n` | `errorWhileSequencingNode`
`static I18n` | `executionContextHasBeenClosed`
`static I18n` | `illegalAccessExceptionWhileSettingProperty`
`static I18n` | `invalidArgumentExceptionWhileSettingProperty`
`static I18n` | `invalidRepositoryNodePath`
`static I18n` | `invalidStateString`
`static I18n` | `invocationTargetExceptionWhileSettingProperty`
`static I18n` | `optionalPropertyOnNodeCouldNotBeRead`
`static I18n` | `optionalPropertyOnNodeWasExpectedToBeStringArrayValue`
`static I18n` | `optionalPropertyOnNodeWasExpectedToBeStringValue`
`static I18n` | `pathExpressionHasInvalidMatch`
`static I18n` | `pathExpressionHasInvalidSelect`
`static I18n` | `pathExpressionIsInvalid`
`static I18n` | `pathExpressionIsInvalidOnSequencer`
`static I18n` | `pathExpressionMayNotBeBlank`
`static I18n` | `problemsWhileSequencingNode`
`static I18n` | `repositoryServiceName`
`static I18n` | `requiredNodeDoesNotExistRelativeToNode`
`static I18n` | `requiredPropertyIsMissingFromNode`
`static I18n` | `requiredPropertyOnNodeCouldNotBeRead`
`static I18n` | `requiredPropertyOnNodeWasExpectedToBeStringArrayValue`
`static I18n` | `requiredPropertyOnNodeWasExpectedToBeStringValue`
`static I18n` | `securityExceptionWhileSettingProperty`
`static I18n` | `sequencingServiceName`
`static I18n` | `serviceNotShutdowAndMayNotBeTerminated`
`static I18n` | `serviceShutdowAndMayNotBePaused`
`static I18n` | `serviceShutdowAndMayNotBeStarted`
`static I18n` | `unableToAccessClassUsingClasspath`
`static I18n` | `unableToChangeExecutionContextWhileRunning`
`static I18n` | `unableToFindPropertyForSequencing`
`static I18n` | `unableToFindRepositoryInJndi`
`static I18n` | `unableToFindRepositoryWithName`
`static I18n` | `unableToInstantiateClassUsingClasspath`
`static I18n` | `unableToLoadClass`
`static I18n` | `unableToLoadClassUsingClasspath`
`static I18n` | `unableToNotifyObserversOnUnstartedClusteringService`
`static I18n` | `unableToRegisterObserverOnUnstartedClusteringService`
`static I18n` | `unableToRegisterRepositoryInJndi`
`static I18n` | `unableToRemoveRepository`
`static I18n` | `unableToStartSequencingServiceWithoutExecutionContext`
`static I18n` | `unableToUnregisterObserverOnUnstartedClusteringService`
`static I18n` | `unableToUnregisterRepositoryInJndi`
`static I18n` | `unableToUseGarbageCollectionIntervalValue`
`static I18n` | `unknownPropertyValueType`
`static I18n` | `warningsWhileStarting`

Constructor Summary
`RepositoryI18n()`

Method Summary
`static Set<Locale>` | `getLocalizationProblemLocales()`
`static Set<String>` | `getLocalizationProblems()`
`static Set<String>` | `getLocalizationProblems(Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### errorCreatingInstanceOfClass

    public static I18n errorCreatingInstanceOfClass

### errorCreatingInstanceOfClassUsingClassLoaders

    public static I18n errorCreatingInstanceOfClassUsingClassLoaders

### errorSettingJavaBeanPropertyOnInstanceOfClass

    public static I18n errorSettingJavaBeanPropertyOnInstanceOfClass

### pathExpressionIsInvalidOnSequencer

    public static I18n pathExpressionIsInvalidOnSequencer

### unableToUseGarbageCollectionIntervalValue

    public static I18n unableToUseGarbageCollectionIntervalValue

### invalidStateString

    public static I18n invalidStateString

### serviceShutdowAndMayNotBeStarted

    public static I18n serviceShutdowAndMayNotBeStarted

### serviceShutdowAndMayNotBePaused

    public static I18n serviceShutdowAndMayNotBePaused

### serviceNotShutdowAndMayNotBeTerminated

    public static I18n serviceNotShutdowAndMayNotBeTerminated

### unableToFindRepositoryInJndi

    public static I18n unableToFindRepositoryInJndi

### unableToRegisterRepositoryInJndi

    public static I18n unableToRegisterRepositoryInJndi

### unableToUnregisterRepositoryInJndi

    public static I18n unableToUnregisterRepositoryInJndi

### unableToRemoveRepository

    public static I18n unableToRemoveRepository

### unableToFindRepositoryWithName

    public static I18n unableToFindRepositoryWithName

### errorProcessingEvents

    public static I18n errorProcessingEvents

### errorFindingPropertyNameInPropertyAddedEvent

    public static I18n errorFindingPropertyNameInPropertyAddedEvent

### errorFindingPropertyNameInPropertyChangedEvent

    public static I18n errorFindingPropertyNameInPropertyChangedEvent

### errorFindingPropertyNameInPropertyRemovedEvent

    public static I18n errorFindingPropertyNameInPropertyRemovedEvent

### repositoryServiceName

    public static I18n repositoryServiceName

### errorCollectingGarbageInSource

    public static I18n errorCollectingGarbageInSource

### clusteringServiceName

    public static I18n clusteringServiceName

### clusteringConfigurationRequiresClusterName

    public static I18n clusteringConfigurationRequiresClusterName

### unableToRegisterObserverOnUnstartedClusteringService

    public static I18n unableToRegisterObserverOnUnstartedClusteringService

### unableToUnregisterObserverOnUnstartedClusteringService

    public static I18n unableToUnregisterObserverOnUnstartedClusteringService

### unableToNotifyObserversOnUnstartedClusteringService

    public static I18n unableToNotifyObserversOnUnstartedClusteringService

### sequencingServiceName

    public static I18n sequencingServiceName

### unableToChangeExecutionContextWhileRunning

    public static I18n unableToChangeExecutionContextWhileRunning

### unableToStartSequencingServiceWithoutExecutionContext

    public static I18n unableToStartSequencingServiceWithoutExecutionContext

### errorWhileSequencingNode

    public static I18n errorWhileSequencingNode

### problemsWhileSequencingNode

    public static I18n problemsWhileSequencingNode

### errorInRepositoryWhileSequencingNode

    public static I18n errorInRepositoryWhileSequencingNode

### errorFindingSequencersToRunAgainstNode

    public static I18n errorFindingSequencersToRunAgainstNode

### errorInRepositoryWhileFindingSequencersToRunAgainstNode

    public static I18n errorInRepositoryWhileFindingSequencersToRunAgainstNode

### executionContextHasBeenClosed

    public static I18n executionContextHasBeenClosed

### unableToFindPropertyForSequencing

    public static I18n unableToFindPropertyForSequencing

### errorReadingPropertiesFromContainerNode

    public static I18n errorReadingPropertiesFromContainerNode

### requiredPropertyOnNodeWasExpectedToBeStringValue

    public static I18n requiredPropertyOnNodeWasExpectedToBeStringValue

### optionalPropertyOnNodeWasExpectedToBeStringValue

    public static I18n optionalPropertyOnNodeWasExpectedToBeStringValue

### requiredPropertyOnNodeWasExpectedToBeStringArrayValue

    public static I18n requiredPropertyOnNodeWasExpectedToBeStringArrayValue

### optionalPropertyOnNodeWasExpectedToBeStringArrayValue

    public static I18n optionalPropertyOnNodeWasExpectedToBeStringArrayValue

### requiredPropertyOnNodeCouldNotBeRead

    public static I18n requiredPropertyOnNodeCouldNotBeRead

### optionalPropertyOnNodeCouldNotBeRead

    public static I18n optionalPropertyOnNodeCouldNotBeRead

### requiredPropertyIsMissingFromNode

    public static I18n requiredPropertyIsMissingFromNode

### errorGettingRequiredPropertyFromNode

    public static I18n errorGettingRequiredPropertyFromNode

### errorGettingOptionalPropertyFromNode

    public static I18n errorGettingOptionalPropertyFromNode

### errorClosingBinaryStreamForPropertyFromNode

    public static I18n errorClosingBinaryStreamForPropertyFromNode

### requiredNodeDoesNotExistRelativeToNode

    public static I18n requiredNodeDoesNotExistRelativeToNode

### errorGettingNodeRelativeToNode

    public static I18n errorGettingNodeRelativeToNode

### unknownPropertyValueType

    public static I18n unknownPropertyValueType

### invalidArgumentExceptionWhileSettingProperty

    public static I18n invalidArgumentExceptionWhileSettingProperty

### illegalAccessExceptionWhileSettingProperty

    public static I18n illegalAccessExceptionWhileSettingProperty

### invocationTargetExceptionWhileSettingProperty

    public static I18n invocationTargetExceptionWhileSettingProperty

### securityExceptionWhileSettingProperty

    public static I18n securityExceptionWhileSettingProperty

### pathExpressionIsInvalid

    public static I18n pathExpressionIsInvalid

### pathExpressionMayNotBeBlank

    public static I18n pathExpressionMayNotBeBlank

### pathExpressionHasInvalidSelect

    public static I18n pathExpressionHasInvalidSelect

### pathExpressionHasInvalidMatch

    public static I18n pathExpressionHasInvalidMatch

### errorUnregisteringWorkspaceListenerWhileShuttingDownObservationService

    public static I18n errorUnregisteringWorkspaceListenerWhileShuttingDownObservationService

### invalidRepositoryNodePath

    public static I18n invalidRepositoryNodePath

### unableToLoadClass

    public static I18n unableToLoadClass

### unableToLoadClassUsingClasspath

    public static I18n unableToLoadClassUsingClasspath

### unableToInstantiateClassUsingClasspath

    public static I18n unableToInstantiateClassUsingClasspath

### unableToAccessClassUsingClasspath

    public static I18n unableToAccessClassUsingClasspath

### errorStartingRepositoryService

    public static I18n errorStartingRepositoryService

### engineIsNotRunning

    public static I18n engineIsNotRunning

### errorsPreventStarting

    public static I18n errorsPreventStarting

### warningsWhileStarting

    public static I18n warningsWhileStarting

### errorVerifyingConfiguration

    public static I18n errorVerifyingConfiguration

Constructor Detail

### RepositoryI18n

    public RepositoryI18n()

Method Detail

### getLocalizationProblemLocales

    public static Set<Locale> getLocalizationProblemLocales()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems(Locale locale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.